#include <bits/stdc++.h>
using namespace std;
int n[2000005];
int N,K;
int a;
int br=0;

int main(){
cin >> N >> K;


for(int i=1; i<=N; i++){
cin >> a;
n[a+1000000]++;
if(n[a+1000000]==K){
    br++;
    n[br]=a;
}}

cout << br <<endl;
for(int i=1; i<=br; i++){
cout << n[i] <<" ";}
return 0;
}